Public Member Functions | Private Member Functions | Private Attributes | List of all members
libetonyek::IWORKPropertyContext< Property, Context, TokenId, TokenId2 > Class Template Reference

`#include <IWORKPropertyContext.h>`

Inheritance diagram for libetonyek::IWORKPropertyContext< Property, Context, TokenId, TokenId2 >:

## Public Member Functions
| IWORKPropertyContext (IWORKXMLParserState &state, IWORKPropertyMap &propMap)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
| IWORKXMLContextBase (State &state)
template<typename T >
| IWORKXMLContextBase (State &state, const T &a)
State & | getState ()

## Private Member Functions
IWORKXMLContextPtr_t | element (int name) override
void | endOfElement () override

## Private Attributes
boost::optional< typename IWORKPropertyInfo< Property >::ValueType > | m_value

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKPropertyContextBase
| IWORKPropertyContextBase (IWORKXMLParserState &state, IWORKPropertyMap &propMap)
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
Collector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Attributes inherited from libetonyek::IWORKPropertyContextBase
IWORKPropertyMap & | m_propMap
bool | m_default
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
State & | m_state

## Constructor & Destructor Documentation

## ◆ IWORKPropertyContext()

template<typename Property , typename Context , int TokenId, int TokenId2>

libetonyek::IWORKPropertyContext< Property, Context, TokenId, TokenId2 >::IWORKPropertyContext | ( | IWORKXMLParserState & | state,
|  | IWORKPropertyMap & | propMap
| ) |  |

## Member Function Documentation

## ◆ element()

template<typename Property , typename Context , int TokenId, int TokenId2>

IWORKXMLContextPtr_t libetonyek::IWORKPropertyContext< Property, Context, TokenId, TokenId2 >::element | ( | int | name | ) |
| override private

## ◆ endOfElement()

template<typename Property , typename Context , int TokenId, int TokenId2>

void libetonyek::IWORKPropertyContext< Property, Context, TokenId, TokenId2 >::endOfElement | ( |  | ) |
| override private

## Member Data Documentation

## ◆ m_value

template<typename Property, typename Context, int TokenId, int TokenId2 = 0>

boost::optional<typename IWORKPropertyInfo<Property>::ValueType> libetonyek::IWORKPropertyContext< Property, Context, TokenId, TokenId2 >::m_value
| private

The documentation for this class was generated from the following file:

- IWORKPropertyContext.h